from axelrod.action import Action
from axelrod.player import Player
lIIIlllllIlI, llIIIlIlIIlII = Action.C, Action.D
class lllIlIIllIlIllIlIlII(Player):
    IlllIllIIllI = "strategy"
    IlIIllIIIlIIlllIll = {
        "memory_depth": float("inf"),  
        "stochastic": False,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    @staticmethod
    def llllIIIlIIlIlIIIlI(llIlIllIllIlIIlIlI: Player) -> Action:
        if len(llIlIllIllIlIIlIlI.history) < 2:
            return lIIIlllllIlI
        elif llIlIllIllIlIIlIlI.defections:
            return llIIIlIlIIlII
        return lIIIlllllIlI